phpLDAPadmin

# Class: MatchingRule

Source Location: /templates/3rdParty/pla/lib/schema_functions.php

### Class Overview

    SchemaItem
       |
       --MatchingRule

Represents an LDAP MatchingRule

### Methods

- __construct
- addUsedByAttr
- getUsedByAttrs
- setUsedByAttrs

### Inherited Variables

#### Class: SchemaItem

SchemaItem::$description
SchemaItem::$name

### Inherited Methods

#### Class: SchemaItem

SchemaItem::getDescription()
SchemaItem::getIsObsolete()
  Gets whether this objectClass is flagged as obsolete by the LDAP server.
SchemaItem::getName()
  Return the objects name.
SchemaItem::getOID()
SchemaItem::setDescription()
SchemaItem::setOID()

### Class Details

[line 1328]
Represents an LDAP MatchingRule
[ Top ]

### Class Methods

### constructor __construct [line 1337]

`MatchingRule __construct( $strings)`

Creates a new MatchingRule object from a raw LDAP MatchingRule string.

#### Parameters:

| $strings |

[ Top ]

### method addUsedByAttr [line 1421]

`true addUsedByAttr( $attr)`

Adds an attribute name to the list of attributes who use this MatchingRule

#### Tags:

return: | if the attribute was added and false otherwise (already in the list)
access: | public

#### Parameters:

| $attr |

[ Top ]

### method getUsedByAttrs [line 1439]

`array getUsedByAttrs( )`

Gets an array of attribute names (strings) which use this MatchingRule

#### Tags:

return: | The array of attribute names (strings).
access: | public

[ Top ]

### method setUsedByAttrs [line 1409]

`void setUsedByAttrs( array $attrs)`

Sets the list of used_by_attrs to the array specified by $attrs;

#### Tags:

access: | public

#### Parameters:

array | $attrs | The array of attribute names (strings) which use this MatchingRule

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:09 +0100 by phpDocumentor 1.4.1